Method: tasks.pushNotificationConfigs.list

取得為工作設定的推播通知清單。

HTTP 要求

GET https://ces.googleapis.com/tasks/{taskId}/pushNotificationConfigs

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
taskId

string

這是必要旗標,父項工作資源 ID。

查詢參數

參數
tenant

string

選用。不透明的路由 ID。如果設定該欄位,則必須與所選代理資訊卡中的 AgentInterface 值相符。tenant

pageSize

integer

要傳回的設定數量上限。

pageToken

string

接收自前一個 ListTaskPushNotificationConfigsRequest 呼叫的網頁權杖。

要求主體

要求主體必須為空白。

回應主體

代表 pushNotificationConfigs.list 方法的成功回應。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "configs": [
    {
      object (TaskPushNotificationConfig)
    }
  ],
  "nextPageToken": string
}
欄位
configs[]

object (TaskPushNotificationConfig)

推播通知設定清單。

nextPageToken

string

用來擷取下一頁結果的符記;如果清單中沒有其他結果,這個欄位會留空。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

詳情請參閱Authentication Overview。